Article ID: 2689, created on Oct 29, 2007, last review on Apr 17, 2012

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 1919
Product : EnsimPro on Linux(Fedora)
Version : 3.7.1
Topic : Hot Fixes

Title
Hot Fix : For PHP Security Vulnerability

Summary
Fix for PHP Security Vulnerability

Prevention


Details

Product: Ensim Pro and Basic for Linux.

Version: 3.7.1

Operating System: Fedora Core 1 only.

Date: 30 December 2004.

Hot Fix Description: Fixes PHP Security Vulnerability.

Please Note: This hot fix is to be applied only after setting Apache 2.0 as Production Server.

Download :

*  http://download.swsoft.com/ensim/outgoing/kb/php/

php-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 144fa21bd5eb1de533f780b8b1122aa1)

php-devel-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 0ebf49a04d8945d8e377289af819c04f)

php-domxml-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 249a2fe30d1366f3c9dfec9947ac6ac4)

php-gd-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 3519dd4fe10f3cbd790873634b3b8dab)

php-imap-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 78acf10ec5e111a59e0ce043cf53cca4)

php-ldap-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 0b4452caa93e048b8432c4a7336210dc)

php-mbstring-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 11284cca4f3defd820f4a83fa8c05b4a)

php-mysql-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: cb2e0dd911efe20d301371b323ecbd5d)

php-ncurses-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 750b5dc1327a3eb7cc83655bf4966294)

php-odbc-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 4149ffeb164319d574a8aff89c07eaad)

php-pear-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 984e0dcc2fe1029a940941291d696584)

php-pgsql-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: 783c1305471325e5d3d104eaddb587f5)

php-snmp-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: d81f31306e05338ea5364da319ca5e7f)

php-xmlrpc-4.3.10-0.os.1.fc1.1.i386.rpm (MD5: ad1ffc21032d78911fe343a94203c3a9)

 

   http://download.swsoft.com/ensim/outgoing/kb/php/3.7.1/

      virtualhosting-fst-apache-3.7.1-2000.i386.rpm  (MD5: c9263f8587e7171935461d7abc58ce83)

Installation Instructions:

1. Download all the above RPMs into a temporary directory.

2. Change the path to that temporary directory and run command "rpm –Uvh *.rpm".

3. Download the additional file for the installed version of LWP as pointed above.

4. Upgrade to this downloaded newer "virtualhosting-fst-apache" rpm with the command "rpm –Uvh <version specific rpm>"

5. Run the following set of commands:

   1. set_pre_maintenance

   2. set_maintenance

   3. set_post_maintenance

   4. service webppliance restart


Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
12/30/2004 6:49:04 AM68 10/15/2007 11:04:38 PM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF